## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Fedora spec initially based on upstream spec file from OBS:
# https://build.opensuse.org/package/view_file/devel:openQA:tested/xterm-console/xterm-console.spec
# License: MIT

%global github_owner    os-autoinst
%global github_name     xterm_console
%global github_version  1.1

Name:           xterm-console
Version:        %{github_version}
Release:        %{autorelease}
Summary:        A Linux vt console look-alike xterm wrapper
License:        MIT
URL:            https://github.com/%{github_owner}/%{github_name}
Source:         https://github.com/%{github_owner}/%{github_name}/archive/%{version}/%{github_name}-%{github_version}.tar.gz
BuildArch:      noarch
BuildRequires:  bdftopcf
# the original consolefonts:
BuildRequires:  kbd-misc
# For psf2bdf.pl
BuildRequires:  perl-interpreter

Requires:           xterm
Requires(post):     mkfontscale
Requires(postun):   mkfontscale

# svirt, eg. s390x, xen
Supplements:    os-autoinst

%description
xterm-console runs an xterm that tries to look as much as possible
like a console. It reads the current color configuration from the
kernel, and the package includes copies of the system console fonts
converted to the PCF format for xterm to use.

%prep
%autosetup -p1 -n %{github_name}-%{github_version}

%build
chmod +x ./psf2bdf.pl

for font in %{_prefix}/lib/kbd/consolefonts/*.psfu.gz; do
    fontname="${font##*/}"
    fontname="${fontname%.psfu.gz}"
    gunzip -c $font | ./psf2bdf.pl | sed -e "s,FONT \+-psf-,FONT ${fontname}," > "$fontname".bdf
done

for i in *.bdf; do
    bdftopcf "$i" | gzip -9 >"${i%.bdf}.pcf.gz"
done

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/X11/fonts/misc/

install -m 0755 xterm-console %{buildroot}%{_bindir}
install -m 0644 *.pcf.gz %{buildroot}%{_datadir}/X11/fonts/misc/

%post
mkfontdir %{_datadir}/X11/fonts/misc

%postun
if [ -d %{_datadir}/X11/fonts/misc ]; then
    mkfontdir %{_datadir}/X11/fonts/misc
fi

%files
%license LICENSE
%doc README.md
%{_bindir}/xterm-console
%dir %{_datadir}/X11/fonts
%dir %{_datadir}/X11/fonts/misc
%{_datadir}/X11/fonts/misc/*.pcf.gz

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 01 2022 Adam Williamson <awilliam@redhat.com> - 1.1-1
- Initial import - review:
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=2049236
## END: Generated by rpmautospec
